Subject: [bug#64471] [PATCH v2 1/2] services: Add 'file-database' service.

From: Bruno Victal <[email-masked]>
Date: Wed, 26 Jul 2023 14:28:40 +0100

On 2023-07-20 22:22, Ludovic Courtès wrote:

> +(define string-list?
> +  (match-lambda
> +    (((? string) ...) #t)
> +    (_ #f)))

There's a procedure 'list-of' from (gnu services configuration) that you can use
to define these kinds of procedures. In fact, there's already a list-of-strings?
predicate as a starting point within said module that you can use instead.

-- 
Furthermore, I consider that nonfree software must be eradicated.

Cheers,
Bruno.